# vue-skeleton ![dependencies](https://img.shields.io/david/hjeti/vue-skeleton.svg?style=flat-square) [![GitHub issues](https://img.shields.io/github/issues/hjeti/vue-skeleton.svg?style=flat-square)](https://github.com/hjeti/vue-skeleton/issues) [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg?style=flat-square)](https://raw.githubusercontent.com/hjeti/vue-skeleton/master/LICENSE)

<p align="center">
    <img src="https://raw.githubusercontent.com/wiki/hjeti/vue-skeleton/asset/image/vue-skeleton.png?v=2" alt="Vue skeleton" />
</p>

`Vue skeleton` comes packaged with a variety of tools for creating a (multilingual) SPA. The skeleton allows to get up and running in a matter of minutes.

When built, the whole skeleton is only **~66kb** gzipped!

## Features

* [vuex](https://github.com/vuejs/vuex)
* [vue-router](https://github.com/vuejs/vue-router)
* [vue-types](https://github.com/dwightjack/vue-types)
* [webpack](https://github.com/webpack/webpack)
* [SCSS](https://github.com/sass/sass)
* [CSS Modules](https://github.com/css-modules/css-modules)
* [TypeScript](https://github.com/Microsoft/TypeScript)
* [seng-generator](https://github.com/mediamonks/seng-generator)
* [seng-config](https://github.com/mediamonks/seng-config)
* [seng-scss](https://github.com/mediamonks/seng-scss)
* [airbnb coding standard](https://github.com/airbnb/javascript) (integrated with es/ts-lint)
* [modernizr](https://github.com/Modernizr/Modernizr)
* [prettier](https://prettier.io/)
* [lint-staged](https://github.com/okonet/lint-staged)
* [stylelint](https://github.com/stylelint/stylelint) + [stylelint-config-standard](https://github.com/stylelint/stylelint-config-standard)
* i18n using [i18nManager](https://github.com/MatteoGabriele/vue-i18n-manager)
* versioning
* (build) preview server (gzip enabled)
* SVG support
* https support
* [Image optimization](https://github.com/Klathmon/imagemin-webpack-plugin)

## Documentation
* [Vue Skeleton Documentation](https://github.com/hjeti/vue-skeleton/wiki/Documentation)
* [Webstorm configuration](https://github.com/hjeti/vue-skeleton/wiki/Webstorm-configuration)
* [Skeleton essentials](https://github.com/hjeti/vue-skeleton/wiki/Vue-skeleton-essentials)
